package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformDemandVideo;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformDemandVideoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformDemandVideoMapper {
    long countByExample(ContentPlatformDemandVideoExample example);

    int deleteByExample(ContentPlatformDemandVideoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformDemandVideo record);

    int insertSelective(ContentPlatformDemandVideo record);

    List<ContentPlatformDemandVideo> selectByExample(ContentPlatformDemandVideoExample example);

    ContentPlatformDemandVideo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformDemandVideo record, @Param("example") ContentPlatformDemandVideoExample example);

    int updateByExample(@Param("record") ContentPlatformDemandVideo record, @Param("example") ContentPlatformDemandVideoExample example);

    int updateByPrimaryKeySelective(ContentPlatformDemandVideo record);

    int updateByPrimaryKey(ContentPlatformDemandVideo record);
}